package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.ObjHach;

/**
 * 危化品对象 数据层
 */
@Mapper
public interface ObjHachMapper {

    /**
     * 查询危化品对象信息
     * @param guid 查询条件
     * @return 危化品对象信息
     */
    ObjHach selectObjHachByGuid(String guid);

    /**
     * 查询危化品对象列表
     * @param objHach 危化品对象查询条件
     * @return 危化品对象集合
     */
    List<ObjHach> selectObjHachList(ObjHach objHach);

    /**
     * 新增危化品对象
     * @param objHach 危化品对象信息
     * @return 影响行数
     */
    int insertObjHach(ObjHach objHach);

    /**
     * 修改危化品对象
     * @param objHach 危化品对象信息
     * @return 影响行数
     */
    int updateObjHach(ObjHach objHach);

    /**
     * 删除危化品对象
     * @param guid 危化品对象主键
     * @return 影响行数
     */
    int deleteObjHachByGuid(String guid);

    /**
     * 批量删除危化品对象
     * @param guids 危化品对象主键数组
     * @return 影响行数
     */
    int deleteObjHachByGuids(String[] guids);
}
